<ion-header *transloco="let t">
  <lib-custom-modal-header
    (closeClick)="close()"
    [title]="t('feature_funfair.map.chips.funfair_plan')"
  >
  </lib-custom-modal-header>
</ion-header>

<ion-content *transloco="let t" class="content">
  <div [ngClass]="confettiClass" class="confetti">
    <div class="image-container">
      <img [src]="getImagePath('flag-down.svg')" alt="" />
    </div>

    <div *ngIf="hasFavorites" class="feature-card-wrapper">
      <lib-funfair-feature-card
        (clickButton)="selectFavorites()"
        [content]="favoritesContent"
        [icon]="'favorite'"
        [subtitle]="
          t('feature_funfair.feature_card.favorites_subtitle', {
            count: favoritesSubtitle,
          })
        "
        [title]="t('feature_funfair.feature_card.saved_locations')"
      ></lib-funfair-feature-card>
    </div>

    <div class="image-container">
      <img *ngIf="hasFavorites" [src]="getImagePath('flag-up.svg')" alt="" />
      <img [src]="getImagePath('devices.svg')" alt="" />
    </div>

    <lib-funfair-category-list
      (allCategoriesSelected)="close()"
      (categorySelected)="selectCategory($event)"
      [categoryGroups]="categoryGroups"
    >
    </lib-funfair-category-list>

    <div class="image-container-end">
      <img [src]="getImagePath('flag-up.svg')" alt="" />
    </div>
  </div>
</ion-content>
